<?php

	namespace Mocha\UI\Tasks;
	use Mocha\Core\InstanceReference;

	class HardcodedTask extends Task
	{
		public InstanceReference $TaskInstance;
		public InstanceReference $RelatedInstance;
		
		public function __construct(InstanceReference $instTask, InstanceReference $instRelatedInstance)
		{
			$this->TaskInstance = $instTask;
			$this->RelatedInstance = $instRelatedInstance;
		}

		protected function OnProcessUpdates()
		{

		}

		protected function OnRender()
		{
		}

		public function Render()
		{
			return $this->OnRender();
		}

		public function ProcessUpdates()
		{
			$this->OnProcessUpdates();
		}

	}

?>